export declare const _exists: (path: string) => Promise<boolean>;
export declare const _failIfNotExists: (path: string) => Promise<void>;
/**
 * @param path to make recursively
 */
export declare const _make: (path: string) => Promise<void>;
/**
 * NOTE that destination is overwritten if it already exists
 */
export declare const _copy: (source: string, destination: string) => Promise<void>;
/**
 * NOTE that it won't fail in case target exist
 */
export declare const _sl: (source: string, target: string, type: 'dir' | 'file', log?: ((message: string) => void) | undefined) => Promise<void>;
/**
 * search for a basename(@path) starting from dirname(@path) up to process.cwd()
 * @param path name to search for, e.g. package.json
 * @returns absolute path to existing basename(@path) or null in case it do not exists all the way up to process.cwd()
 */
export declare const _search: (path: string) => Promise<string | null>;
//# sourceMappingURL=fs.d.ts.map