# Release Checklist
## Prepare Package
- [ ] Bump the version number in `package.json`, make sure version fits what we want to release
- [ ] Make sure all files that need to be pushed are included in `package.json -> files`
- [ ] Update `CHANGELOG.md` 
- [ ] Commit your changes (make sure that `package.json` and `CHANGELOG.md` are updated)
## Releasing
- [ ] Create a new [**draft** release](https://github.com/TumbaSolutions/serverless-plugin-typescript-package-individually/releases/new) in GitHub
  - [ ] Ensure that the "Tag version" is same as version number in `package.json` 
- [ ] Publish the GitHub release draft (GitHub will automatically publish the new release to `npm`)
